Bug 248820 - finance/cointop: Update to 1.5.4
Summary: finance/cointop: Update to 1.5.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL: https://github.com/miguelmota/cointop...
Keywords: needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2020-08-21 23:57 UTC by Miguel Mota
Modified: 2020-08-25 16:58 UTC (History)
2 users (show)

See Also:
koobs: maintainer-feedback? (hello)


Attachments
patch (2.18 KB, patch)
2020-08-21 23:57 UTC, Miguel Mota
no flags Details | Diff
patch (1.96 KB, patch)
2020-08-24 22:51 UTC, Miguel Mota
no flags Details | Diff
patch (1.95 KB, patch)
2020-08-25 07:17 UTC, Miguel Mota
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Miguel Mota 2020-08-21 23:57:57 UTC
Created attachment 217432 [details]
patch
Comment 1 Bugzilla Automation freebsd_committer 2020-08-21 23:57:57 UTC
Maintainer informed via mail
Comment 2 Fernando Apesteguía freebsd_committer 2020-08-24 16:12:50 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field

Patch does not apply cleanly. Please check it. For example, this is the beginning of the patch:

--- files/cointop/Makefile
+++ files/cointop/Makefile (working copy)
@@ -1,11 +1,12 @@
-# $FreeBSD$
+# $FreeBSD: head/finance/cointop/Makefile 536362 2020-05-24 06:28:34Z yuri $

But thre is no files/cointop, if any finance/cointop.

Thanks!
Comment 3 Miguel Mota 2020-08-24 22:51:59 UTC
Created attachment 217510 [details]
patch
Comment 4 Miguel Mota 2020-08-24 22:59:19 UTC
(In reply to Fernando Apesteguía from comment #2)

Hey Fernando, sorry about the patch bugs (this is my first *bsd port patch). I uploaded a new patch file https://bugs.freebsd.org/bugzilla/attachment.cgi?id=217510. I tried it with with `# patch < patch` inside of `/usr/ports/finance/cointop` and it applied it correctly but let me know if there's anything missing or not working. Thanks!
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2020-08-25 05:29:35 UTC
Upstream has 1.5.4
Comment 6 Miguel Mota 2020-08-25 07:17:43 UTC
Created attachment 217512 [details]
patch

1.5.4
Comment 7 commit-hook freebsd_committer 2020-08-25 16:57:18 UTC
A commit references this bug:

Author: fernape
Date: Tue Aug 25 16:56:26 UTC 2020
New revision: 546194
URL: https://svnweb.freebsd.org/changeset/ports/546194

Log:
  finance/cointop: update to 1.5.4

  ChangeLog: https://github.com/miguelmota/cointop/releases/tag/v1.5.4

  PR:	248820
  Submitted by:	hello@miguelmota.com (maintainer)

Changes:
  head/finance/cointop/Makefile
  head/finance/cointop/distinfo
  head/finance/cointop/pkg-descr
Comment 8 Fernando Apesteguía freebsd_committer 2020-08-25 16:58:26 UTC
Committed with a couple of changes:

 * It is either PORTVERSION or DISTVERSION, but never the two of them
 * I removed the blank line in GH_TUPLE

Thanks!